AbstractSignatureTypeProvider (Gradle API 2.14.1)

org.gradle.plugins.signing.type

## Class AbstractSignatureTypeProvider

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

- All Implemented Interfaces:
    GroovyObject, SignatureTypeProvider
  Direct Known Subclasses:
    DefaultSignatureTypeProvider

      public abstract class AbstractSignatureTypeProvider
      extends GroovyObjectSupport
      implements SignatureTypeProvider

  Convenience base class for `SignatureTypeProvider` implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSignatureTypeProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureType` | `getDefaultType()`
    `SignatureType` | `getTypeForExtension(String extension)`
    `boolean` | `hasTypeForExtension(String extension)`
    `protected void` | `register(SignatureType type)`
    `void` | `setDefaultType(String defaultTypeExtension)`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSignatureTypeProvider

          public AbstractSignatureTypeProvider()

  - ### Method Detail

    - #### getDefaultType

          public SignatureType getDefaultType()

      Specified by:
        `getDefaultType` in interface `SignatureTypeProvider`

    - #### setDefaultType

          public void setDefaultType(String defaultTypeExtension)

      Specified by:
        `setDefaultType` in interface `SignatureTypeProvider`

    - #### hasTypeForExtension

          public boolean hasTypeForExtension(String extension)

      Specified by:
        `hasTypeForExtension` in interface `SignatureTypeProvider`

    - #### getTypeForExtension

          public SignatureType getTypeForExtension(String extension)

      Specified by:
        `getTypeForExtension` in interface `SignatureTypeProvider`

    - #### register

          protected void register(SignatureType type)